%global momorel 22

Name: anaconda
Version: 10.1.0.2
Release: %{momorel}m
License: GPL
Summary: Graphical system installer
Group: Applications/System
Source0: anaconda-%{version}.tar.bz2
Patch1: anaconda-10.1.0.2-splittree.patch
Patch2: anaconda-10.1.0.2-upd-instroot.patch
Patch3: anaconda-10.1.0.2-reiser4.patch
Patch4: anaconda-10.1.0.2-momonga1.patch
Patch5: anaconda-10.1.0.2-fix-isys.patch
Patch6: anaconda-10.1.0.2-fix-locales2.patch
Patch7: anaconda-10.1.0.2-fix-partition_text.patch
Patch8: anaconda-10.1.0.2-fix-po.patch
Patch9: anaconda-10.1.0.2-fix-kbd.patch
BuildPreReq: pump-devel >= 0.8.20, kudzu-devel >= 1.1.52, pciutils-devel, bzip2-devel, e2fsprogs-devel, python-devel gtk+-devel rpm-python >= 4.2-0.61, newt-devel, rpm-devel, gettext >= 0.11, rhpl, booty, libxml2-python, zlib-devel, bogl-devel >= 0.1.9, bogl-bterm >= 0.1.9, elfutils-devel, beecrypt-devel, libselinux-devel, slang-devel >= 1.4.9-8m
%ifarch %{ix86}
BuildRequires: dietlibc
%endif
Requires: rpm-python >= 4.2-0.61, rhpl > 0.63, parted >= 1.6.19-2m, booty
Requires: kudzu, pyparted
Url: http://rhlinux.redhat.com/anaconda/

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The anaconda package contains the program which was used to install your 
system.  These files are of little use on an already installed system.

%package runtime
Summary: Red Hat Linux installer portions needed only for fresh installs.
Group: Applications/System
AutoReqProv: false
Requires: libxml2-python

%description runtime
The anaconda-runtime package contains parts of the Red Hat Linux
installer which are needed for installing new systems. These files are
used to build Red Hat Linux media sets, but are not meant for use on
already installed systems.

%prep

%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

perl -p -i -e "s|reiserfs|reiserfs reiser4|" scripts/mk-images*
perl -p -i -e "s|:reiserfs:|:reiserfs:reiser4:|" loader2/loader.c

%ifarch i586
cp -f scripts/mk-images.i386 scripts/mk-images.i586
cp -f scripts/mk-rescueimage.i386 scripts/mk-rescueimage.i586
perl -p -i -e "s|i386|i586|" scripts/mk-images.i586 scripts/mk-rescueimage.i586 autopart.py installclass.py iutil.py kickstart.py packages.py partedUtils.py raid.py upgrade.py upgradeclass.py iw/bootloader_main_gui.py iw/xconfig_gui.py textw/bootloader_text.py
cp -f fonts/screenfont-i386.gz fonts/screenfont-i586.gz
%endif

%ifarch i686
cp -f scripts/mk-images.i386 scripts/mk-images.i686
cp -f scripts/mk-rescueimage.i386 scripts/mk-rescueimage.i686
perl -p -i -e "s|i386|i686|" scripts/mk-images.i686 scripts/mk-rescueimage.i686 autopart.py installclass.py iutil.py kickstart.py packages.py partedUtils.py raid.py upgrade.py upgradeclass.py iw/bootloader_main_gui.py iw/xconfig_gui.py textw/bootloader_text.py
cp -f fonts/screenfont-i386.gz fonts/screenfont-i686.gz
%endif

perl -p -i -e "s|1440|2880|" scripts/mk-images.i?86

find -name Makefile | xargs perl -p -i -e "s|\-Werror||"
echo "#define __nonnull(p)" >> isys/gzlib/config.h

%build
make depend
make RPM_OPT_FLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
# fc3's anaconda is using /usr/lib
%ifarch i586
install -m 644 fonts/screenfont-i586.gz %{buildroot}/usr/lib/anaconda-runtime
%endif
%ifarch i686
install -m 644 fonts/screenfont-i686.gz %{buildroot}/usr/lib/anaconda-runtime
%endif

strip %{buildroot}/usr/lib/anaconda/*.so
rm -f %{buildroot}%{_datadir}/anaconda/pixmaps/about-to-install.png
rm -f %{buildroot}%{_datadir}/anaconda/pixmaps/done.png
rm -f %{buildroot}%{_datadir}/anaconda/pixmaps/upgrade.png

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%doc docs/command-line.txt
%doc docs/install-methods.txt
%doc docs/kickstart-docs.txt
%doc docs/kickstart-docs.html
%doc docs/mediacheck.txt
%doc docs/anaconda-release-notes.txt
%{_bindir}/mini-wm
%{_sbindir}/anaconda
%{_datadir}/anaconda
%{_datadir}/locale/*/*/*
/usr/lib/anaconda

%files runtime
%defattr(-,root,root)
/usr/lib/anaconda-runtime

%triggerun -- anaconda < 8.0-1
/sbin/chkconfig --del reconfig >/dev/null 2>&1 || :

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* Mon Apr 11 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-22m)
- fix loader2/kbd.c as well as isys.c

* Sun Apr 10 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-21m)
- fix po again, over and over... orz

* Sun Apr  3 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-20m)
- fix po again.

* Fri Apr 02 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-19m)
- revised fix-locales.patch.
- ja.po and anaconda.pot is fixed.
- lvm error is fixed partially.

* Thu Mar 24 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (10.1.0.2-18m)
- BuildPrereq: slang-devel >= 1.4.9-8m

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-17m)
- fix locale names.

* Tue Mar  8 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-16m)
  fix isys bug(keymap loading)

* Sat Mar  5 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-15m)
- split by 700MB.
- revised anaconda-10.1.0.2-momonga1.patch, not write /etc/sysconfig/i18n.

* Fri Mar  4 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-14m)
  add libaal-1.0.so* to upd-instroot

* Tue Mar  1 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-13m)
  use sazanami-gothic

* Sun Feb 20 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-12m)
- revised spec for i586/i686 support.

* Fri Feb 18 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-11m)
- revised spec so the static library avoid stack protection.
- nossp patch is no longer applied, because each diet libraries have
  same name as FC3's.

* Mon Feb 14 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-10m)
- revised upd-instroot.patch due to location of libattr.so.

* Fri Feb 11 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (10.1.0.2-9m)
- enable x86_64. toriaezu...

* Fri Jan 28 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-8m)
  support i686

* Tue Jan 25 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-7m)
  added /usr/X11R6/lib/libXfixes.so* to upd-instroot

* Sun Jan 23 2005 Toru Hoshina <t@momonga-linux.org>
- (10.1.0.2-6m)
- enable i586/i686.

* Thu Dec 16 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-5m)
  rebuild against kudzu-1.1.72

* Mon Dec 13 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-4m)
  added /usr/lib/libattr.so*
  support reiser4

* Tue Dec  7 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-3m)
  fix screenfont-i586
  require pyparted

* Fri Nov 26 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-2m)
  fix upd-instroot patch
  fix for xorg-x11

* Sat Nov  6 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.1.0.2-1m)
  update to 10.1.0.2

* Wed Nov  3 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.0-3m)
  __nonnull macro was emptied

* Wed Sep 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (10.0-2m)
- revised anaconda-10.0-nossp.patch

* Wed Sep 15 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (10.0-1m)
- imported from FC2

* Wed Sep 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (9.2-25m)
- requires pump-devel 0.8.20-2m or newer

* Thu Sep  9 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (9.2-24m)
- add patch202 for glibc-kernheaders

* Fri Aug 27 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (9.2-23m)
  applied rpm-4.3.x support patch.
  
* Fri Jul 30 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (9.2-22m)
- add patch5
- kde-desktop added into personal desktop class
- kde-software-development added into workstation class

* Thu Jul 29 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.2-21m)
- update Requires: rhpl >= 0.121-3m

* Sat Jul 24 2004 mutecat <mutecat@momonga-linux.org>
- (9.2-20m)
- revised anaconda-9.2-momonga5.patch

* Mon Jul 19 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (9.2-19m)
- update momonga-script patch

* Mon Jul 19 2004 mutecat <mutecat@momonga-linux.org>
- (9.2-18m)
- Red Hat -> Momonga shuusei.

* Sat Jul 17 2004 mutecat <mutecat@momonga-linux.org>
- (9.2-17m)
- add ppc patch.

* Mon Jul 12 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (kossori)
- move tools directory: comps.xml.momonga, mkmoiso.i586

* Sun Jul 11 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (9.2-16m)
- remove ruby-acl ruby-faq ruby-irc from comps.xml.momonga

* Sun Jul 11 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (9.2-15m)
- update mkmoiso.i586 script

* Sat Jul 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (9.2-14m)
- add comps.xml.momonga and mkmoiso.i586 script

* Thu Jul  8 2004 zunda <zunda at freeshell.org>
- (kossori)
- BuildPreReq: newt-devel, slang-devel

* Tue Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (9.2-13m)
- update new comps.xml.core

* Thu Jul  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (9.2-12m)
- use sazanami instead of kochi

* Thu Jun 17 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (9.2-11m)
- change modutils-devel -> module-init-tools-devel

* Mon May 17 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-10m)
- revised momonga script patch to enable UTF-8 locales.

* Sun May 16 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-9m)
- revised dietlibc patch not to use embed slang-newt.

* Sat May 15 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-8m)
- revised momonga patch for terminfo.
- revised momonga script patch for jfs, reiserfs and xfs.

* Thu May  6 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-7m)
- redhat-config -> system-config.

* Sun May  2 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-6m)
- revised script patch.

* Sat May  1 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-5m)
- revised patch.

* Wed Apr 28 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-4m)
- revised momonga script patch.

* Mon Apr 26 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-3m)
- revised momonga patch.

* Thu Mar 11 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-1m)
- import from FC1.

* Tue Oct  8 2002 Jeremy Katz <katzj@redhat.com>
- back to mainstream rpm instead of rpm404

* Mon Sep  9 2002 Jeremy Katz <katzj@redhat.com>
- can't buildrequire dietlibc and kernel-pcmcia-cs since they don't always
  exist

* Wed Aug 21 2002 Jeremy Katz <katzj@redhat.com>
- added URL

* Thu May 23 2002 Jeremy Katz <katzj@redhat.com>
- add require and buildrequire on rhpl

* Tue Apr 02 2002 Michael Fulbright <msf@redhat.com>
- added some more docs

* Fri Feb 22 2002 Jeremy Katz <katzj@redhat.com>
- buildrequire kernel-pcmcia-cs as we've sucked the libs the loader needs 
  to there now

* Thu Feb 07 2002 Michael Fulbright <msf@redhat.com>
- goodbye reconfig

* Thu Jan 31 2002 Jeremy Katz <katzj@redhat.com>
- update the BuildRequires a bit

* Fri Jan  4 2002 Jeremy Katz <katzj@redhat.com>
- ddcprobe is now done from kudzu

* Wed Jul 18 2001 Jeremy Katz <katzj@redhat.com>
- own /usr/lib/anaconda and /usr/share/anaconda

* Fri Jan 12 2001 Matt Wilson <msw@redhat.com>
- sync text with specspo

* Thu Aug 10 2000 Matt Wilson <msw@redhat.com>
- build on alpha again now that I've fixed the stubs

* Wed Aug  9 2000 Michael Fulbright <drmike@redhat.com>
- new build

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- allow also subvendorid and subdeviceid in trimpcitable

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- moved init script for reconfig mode to /etc/init.d/reconfig
- move the initscript back to /etc/rc.d/init.d
- Prereq: /etc/init.d

* Thu Feb 03 2000 Michael Fulbright <drmike@redhat.com>
- strip files
- add lang-table to file list

* Wed Jan 05 2000 Michael Fulbright <drmike@redhat.com>
- added requirement for rpm-python

* Mon Dec 06 1999 Michael Fulbright <drmike@redhat.com>
- rename to 'anaconda' instead of 'anaconda-reconfig'

* Fri Dec 03 1999 Michael Fulbright <drmike@redhat.com>
- remove ddcprobe since we don't do X configuration in reconfig now

* Tue Nov 30 1999 Michael Fulbright <drmike@redhat.com>
- first try at packaging reconfiguration tool

